export declare enum Channel {
    MERCHANT = "MERCHANT",
    CONSUMER = "CONSUMER",
    ADMIN = "ADMIN"
}
export declare enum AccessTokenType {
    Bearer = "Bearer",
    Basic = "Basic"
}
export declare type AccessToken = {
    type: AccessTokenType;
    info: AccessInfo;
    grant?: boolean;
};
export declare type AccessInfo = {
    token: string;
    auth?: any;
    requestedBy?: string;
    localeCode?: string;
    authMetadata?: BasicMetadata;
    channel?: Channel;
};
export declare type BasicMetadata = {
    username: string;
    password: string;
};
export declare type Ability = {
    action: string;
    subject: string;
};
export declare type AuthBasicVerify = (params: BasicMetadata) => Promise<any>;
export declare type AuthDirective = {
    type: AccessTokenType;
    hasAbility?: Ability;
};
