"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authBasicTokenMiddleware = void 0;
const auth_1 = require("../auth");
const http_auth_1 = require("./http-auth");
function authBasicTokenMiddleware(req, res, next) {
    const token = req.get('authorization');
    if (token && token.startsWith('Basic ')) {
        const auth = Buffer.from(token.replace('Basic ', ''), 'base64').toString('utf8');
        const loginInfo = auth.split(':');
        if (2 === loginInfo.length) {
            (0, http_auth_1.setAccessToken)(req, {
                type: auth_1.AccessTokenType.Basic,
                info: {
                    token,
                    authMetadata: {
                        username: loginInfo[0],
                        password: loginInfo[1]
                    }
                }
            });
        }
    }
    return next();
}
exports.authBasicTokenMiddleware = authBasicTokenMiddleware;
//# sourceMappingURL=http-auth-basic.js.map