"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authBearerTokenMiddleware = void 0;
const auth_1 = require("../auth");
const http_auth_1 = require("./http-auth");
function authBearerTokenMiddleware(req, res, next) {
    const token = req.get('authorization');
    if (token && token.startsWith('Bearer ')) {
        (0, http_auth_1.setAccessToken)(req, {
            type: auth_1.AccessTokenType.Bearer,
            info: { token }
        });
    }
    return next();
}
exports.authBearerTokenMiddleware = authBearerTokenMiddleware;
//# sourceMappingURL=http-auth-bearer.js.map