"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JWT = exports.Expires = exports.jwt = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
exports.jwt = jsonwebtoken_1.default;
const ms_1 = __importDefault(require("ms"));
var Expires;
(function (Expires) {
    Expires[Expires["expires5MinuteInSecond"] = (0, ms_1.default)('5m') / 1000] = "expires5MinuteInSecond";
    Expires[Expires["expires2DaysInSecond"] = (0, ms_1.default)('2 days') / 1000] = "expires2DaysInSecond";
    Expires[Expires["expires1MonthInSecond"] = (0, ms_1.default)('30 days') / 1000] = "expires1MonthInSecond";
    Expires[Expires["expires1YearInSecond"] = (0, ms_1.default)('1y') / 1000] = "expires1YearInSecond";
})(Expires = exports.Expires || (exports.Expires = {}));
class JWT {
    constructor(salt) {
        this._salt = salt;
        this.validate();
    }
    validate() {
        if (!this._salt)
            throw Error('Salt is required!');
    }
    encode(payload, algorithm, expiresIn) {
        return jsonwebtoken_1.default.sign(payload, this._salt, {
            algorithm,
            expiresIn //Expires.expires1MonthInSecond //ms("5 days") / 1000
        });
    }
    decode(token) {
        return jsonwebtoken_1.default.verify(token, this._salt);
    }
}
exports.JWT = JWT;
//# sourceMappingURL=token.js.map