/// <reference types="node" />
import { Server } from 'net';
import { TcpBase } from './tcp-base';
export declare abstract class TcpServer<T> extends TcpBase<T> {
    protected server: Server;
    private _keepAliveInterval;
    private _idleTimeout;
    init(keepAliveInterval?: number, idleTimeout?: number): Promise<this>;
    term(): Promise<void>;
    run(port: number, hostname?: string, healthPort?: number): Promise<string>;
    protected get keepAliveInterval(): number;
    protected get idleTimeout(): number;
}
